Update companion on emulator

I've got a bunch of students around the world using appinventor - some in China which has challenging restrictions. I'm trying to build up a VM I can send to them that just works - as so many of them struggle to get the emulator to play nicely. (note I also have some that live on various boats around the world so internet access is patchy at best!)

I've got an Ubuntu VM set up with an offline version of AI2 installed. Have installed the emulator and can connect to it, but the emulator is running companion 2.54 or some such - the AI2 installation needs 2.60 or 2.60u. Any suggestions on how to get the provided emulator to update?

See the 4th article at


by Yong Tang.
It is for Windows, but the technique shown should also work for Ubuntu if you adapt the directory to Ubuntu.

Thansk worked (eventually). Only problem now is the VM won't (fully) fire up when transferred to another machine. Could be because over RDP, could be because tranferred from OSX to Windows hosts... joys of trying to do nice things eh?

There are different flavors of emulator, even on one platform.
Some require MITCompanion.apk, others require emulator.apk
Both can be downloaded from MIT at the same location/directory.

P.S. there might be a website for your standalone version that discusses this.

The emulator is fine it's ubuntu itself that's now causing the problems! thanks